# path::get-full-path

Returns the fully qualified path.

### Usage

`string path::get-full-path(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The file or directory for which to obtain absolute path information.

### Return Value

A string containing the fully qualified location of path, such as "C:\MyFile.txt".

### Exceptions

The function will fail in any of the following circumstances:

- path is a zero-length string, contains only white space, or contains one or more invalid characters.
- path contains a colon (":").
- The specified path, file name, or both exceed the system-defined maximum length.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)